
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux下建立网络路由器 / iVAN</title>

    <meta name="description" content="Linux下建立网络路由器 对于网络互联工程师们来说,建立一个互联网动态路由是非常重要的.这不仅需要了解路由的概念,而且还必须知道如何付诸实践.就目前而言,网络设备主要由Cisco这样的大公司来提供.大多数独立的路由开发者们常常受到学校或实验室环境的制约,无法充分利用现有的资源.而利用Cisco技术设备打造网络需要大量的成本.为了打破这种局面,我们利用一个小型的实验网络,应用路由信息协议(RIP)和开放式最短路径优先(OSPF)两种技术,展示各自不同的平衡加载方案. 在我们使用的三个路由器中,有一个是利用Linux技术模拟">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Linux下建立网络路由器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>对于网络互联工程师们来说，建立一个互联网动态路由是非常重要的。这不仅需要了解路由的概念，而且还必须知道如何付诸实践。就目前而言，网络设备主要由Cisco这样的大公司来提供。大多数独立的路由开发者们常常受到学校或实验室环境的制约，无法充分利用现有的资源。而利用Cisco技术设备打造网络需要大量的成本。为了打破这种局面，我们利用一个小型的实验网络，应用路由信息协议（RIP）和开放式最短路径优先（OSPF）两种技术，展示各自不同的平衡加载方案。</p>
<p>在我们使用的三个路由器中，有一个是利用Linux技术模拟的。最初，我们试图利用传统的路由和选通无交互后台程序来组建测试网络，但很快发现这种方法设置起来十分复杂而且功能有限。最后，我们决定找一个更先进的方法建立测试网络，幸运的是我们找到了Zebra。</p>
<p>什么是Zebra</p>
<p>Zebra是一种TCP/IP路由软件，它支持BGP-4、BGP-4+、OSPFv2、OSPFv3、RIPv1、RIPv2和RIPng。它符合GNU的GPL标准，可以运行在Linux和其它Unix变体系统上。Zebra是最先进的路由软件之一，最新版本可以从GUN Zebra Web站点上下载。</p>
<p>最早的Zebra套件是由Kunihiro Ishiguro和Yoshinari Yoshikawa在1996年开发的。目前，Zebra套件主要由IP Infusion公司负责维护，软件的创始人之一Ishiguro是公司的CTO。</p>
<p>Zebra可以利用模块法对各种协议进行管理，这种设计是独一无二的。它可以根据网络的需要激活或者停止协议。到目前为止，我们发现Zebra最有用的地方在于它与Cisco IOS设置格式十分相近。尽管它与IOS之间存在着一些差异，但是那些熟悉IOS的网络工程师们会很快适应Zebra网络环境的。目前，Zebra 1.0还没有推出，最新的版本是Zebra 0.93b，它对于一个小型网络已经足够了。</p>
<p>Zebra的安装</p>
<p>我们选择了性能稳定的ThinkPad X20作为Zebra的硬件测试平台，Red Hat Linux 9作为其软件测试平台。ThinkPad X20拥有一个内置的以太网接口。为了使其能充当路由器使用，我们为它增加了一个PCMCIA以太网卡。在安装Zebra前，首先要确定所有的网卡都能被Linux系统识别。</p>
<p>Red Hat 9中已经集成了Zebra 0.93b的RPM。当然，你也可以从网上下载Zebra 软件。为了方便起见，我们决定安装 Zebra 0.93b RPM。Zebra RPM的安装过程与其它软件基本相同。安装的项目包括二进制设置命令、小型程序、配置文件以及必需项目菜单、实例和文档等。</p>
<p>Zebra的基本设置</p>
<p>Zebra无后台交互程序是实实在在的路由管理程序。它控制着其它的软件模块，同时还提供与客户交互的主端口。Zebra RPM套件中包括一个完整的参考设置文件。但是，我们只需要建立一个包括以下内容的/etc/zebra/zebra.conf文件就可以对Zebra进行设置了。</p>
<p>最简单的Zebra设置文件：</p>
<p><code>hostname speedmetal<br />password zebra<br />enable password zebra</code></p>
<p>无论何时，当你进入交互式设置模式时，Hostname指令将指定路由器的名称。该名称可以任意设置，不一定和主机的名称相符。Password指令则确定交互式Zebra终端的登陆密码。</p>
<p>/etc/zebra/zebra.conf建立后，我们可以执行下列指令来启动zebra无后台交互程序：</p>
<p><code># service zebra start</code></p>
<p>现在我们可以通过连接机器的2601端口进入Zebra交互对话模式。</p>
<p>Zebra对话模式实例：</p>
<p><code>[root@speedmetal zebra]# telnet 127.0.0.1 2601<br />Trying 127.0.0.1...<br />Connected to 127.0.0.1.<br />Escape character is '^]'.<br />Hello, this is zebra (version 0.93b).<br />Copyright 1996-2002 Kunihiro Ishiguro.<br />User Access Verification<br />Password: zebra<br />speedmetal&gt; enable<br />Password: zebra<br />speedmetal# ?<br />　configure　Configuration from vty interface<br />　copy　　　 Copy configuration<br />　debug　　　Debugging functions (see also 'undebug')<br />　disable　　Turn off privileged mode command<br />　end　　　　End current mode and change to enable mode.<br />　exit　　　 Exit current mode and down to previous mode<br />　help　　　 Description of the interactive help system<br />　list　　　 Print command list<br />　no　　　　 Negate a command or set its defaults<br />　quit　　　 Exit current mode and down to previous mode<br />　show　　　 Show running system information<br />　terminal　 Set terminal line parameters<br />　who　　　　Display who is on vty<br />　write　　　Write running configuration to memory, network, or terminal<br />speedmetal#</code></p>
<p>我们很容易就能对此了如指掌，因为可以通过点击屏幕上的？键随时了解某一命令的含义。如果有过配置Cisco路由器的经验，相信对这一设置过程并不陌生。</p>
<p>到目前为止，我们只完成了Zebra自身的设置和运行，对各种协议的设置还没有开始，如果你准备好了，就让我们继续吧。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 20:14:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e8%bd%af%e4%bb%b6/" title="软件">软件</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c/" title="网络">网络</a>, <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1%e5%99%a8/" title="路由器">路由器</a>, <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1/" title="路由">路由</a>, <a href="https://www.iamivan.net/tag/zebra%e6%8c%87%e4%bb%a4%e6%89%93%e5%8d%b0c-%e6%89%93%e5%8d%b0%e6%9c%ba/" title="zebra指令打印c&num;打印机">zebra指令打印c&num;打印机</a>, <a href="https://www.iamivan.net/tag/mode/" title="mode">mode</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e4%bb%a4%e7%9a%84%e4%ba%a4%e4%ba%92%e5%ae%9e%e4%be%8b/" title="指令的交互实例">指令的交互实例</a>, <a href="https://www.iamivan.net/tag/entosemergency-mode-linux/" title="entosemergency mode linux">entosemergency mode linux</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Linux下建立网络路由器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBXeqAp.html" rel="bookmark">&lbrack;20160921&rsqb;linux下建立samba服务器&period;txt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[20160921]linux下建立samba服务器.txt --工作需要,需要在linux下配置samba服务.好久不做这些事情,做一个安装笔记: 1.安装samba软件包 # rpm -qa | grep samba samba-client-3.0.33-3.39.el5_8 samba-common-3.0.33-3.39.el5_8 samba-3.0.33-3.39.el5_8 --注意安装samba-3.0.33-3.39.el5_8需要 perl-Convert-ASN1-0.2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbal0Xz.html" rel="bookmark">openni opencv linux-如何在linux下建立一个着openni和opencv的工程？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在linux下建立一个着openni和opencv的工程? 如何在linux下建立一个着openni和opencv的工程?麻烦大神们详细解说下,不胜感激!!!!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK75l5b.html" rel="bookmark">在Linux下建立强大的FTP搜索引擎</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux正大行其道,不少朋友相信已经用它架设过各种服务,什么Web.FTP.BBS等等等啦,这次,我向大家介绍另外一个在linux下运行的服务器软件----NoseyParker,一个强大的FTP搜索引擎,只要一些简单的步骤,一个强大的搜索引擎举手间就建立起来了,各位且听我慢慢道来. parker是一个FTP服务器搜索引擎,是基于Linux的开放源码软件.主要检索各个FTP服务器上面的文件,然后将目录信息保存在本地的文件中,如果有查询请求,将检索本地的数据,将相关的信息(文件所在的地址)返回给			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVw7PVb.html" rel="bookmark">在Linux下使用网络加速器netpas</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  对于在教育网内的同学来说,最大的痛苦就是教育网不能出国和访问公网速度 慢了(有钱买流量的不用看本文),所以通常有些需求的就必须购买像教育网 直通车之类的加速服务,当然还有另一种选择那就是花钱买专门的VPN.但这里 都有一个问题,那就是所有的网络加速服务都只有windows下的客户端,在 linux就都没有官方的使用方法了.对有些加速服务,有人想出了一些非官方的 办法,比如在知道服务器地址的前提下,教育网直通车可以用PPPoE来连.据说,BrigeWan也可以用类似的方法,但上次在一个论坛里看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkmEjyb.html" rel="bookmark">Linux下NFS网络文件系统的基本使用教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.什么是NFS(Network FileSystem) NFS 就是 Network FileSystem 的缩写,最早之前是由 Sun 所发展出来的.他最大的功能就是可以透过网络,让不同的机器.不同的操作系统.可以彼此分享个别的档案 ( share file ),所以,也可以简单的将他看做是一个 file server !这个 NFS Server 可以让你的 PC 来将网络远程的 NFS 主机分享的目录,挂载到本地端的机器当中,所以,在本地端的机器看起来,那个远程主机的目录就好象是自己的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv52q9b.html" rel="bookmark">Linux下建立软链接ln命令使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux下的软链接类似于windows下的快捷方式 ln -s a b 中的 a 就是源文件,b是链接文件名,其作用是当进入b目录,实际上是链接进入了a目录 如上面的示例,当我们执行命令   cd /gamestat/的时候  实际上是进入了 /home/gamestat/ 值得注意的是执行命令的时候,应该是a目录已经建立,目录b没有建立.我最开始操作的是也把b目录给建立了,结果就不对了.  删除软链接: rm -rf  b  注意不是 rm -rf  b/  建立硬链接 ln  a b 实例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlxYdnM.html" rel="bookmark">linux下监控网络流量的脚本&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我看了下,linux下的/proc/net/dev记录了每块网卡发送和接受的包和字节数.因此萌生想法,写了一个.运行效果: 复制代码 代码如下: [root@74-82-173-217 ~]# ./net.sh Current Ip: inet addr:74.82.173.217 Bcast:74.82.173.223 Mask:255.255.255.224 Summry info: RX bytes:203692709 (194.2 MiB) TX bytes:93525930 (89.1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA08Ob.html" rel="bookmark">Linux下的网络协议分析工具：TCPDUMP入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TCPDUMP简介 在传统的网络分析和测试技术中,嗅探器(sniffer)是最常见,也是最重要的技术之一.sniffer工具首先是为网络管理员和网络程序员进行网络分析而设计的.对于网络管理人员来说,使用嗅探器可以随时掌握网络的实际情况,在网络性能急剧下降的时候,可以通过sniffer工具来分析原因,找出造成网络阻塞的来源.对于网络程序员来说,通过sniffer工具来调试程序. 用过windows平台上的sniffer工具(例如,netxray和sniffer pro软件)的朋友可能都知道,在共享			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDjw9vM.html" rel="bookmark">Linux下常用网络和监控命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ifstat 介绍 ifstat工具是个网络接口监测工具,比较简单看网络流量 实例 默认使用 #ifstat        eth0                eth1        KB/s in  KB/s out   KB/s in  KB/s out     0.07      0.20      0.00      0.00     0.07      0.15      0.58      0.00默认ifstat不监控回环接口,显示的流量单位是KB.  监控所有网络接口 # i			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWJreb.html" rel="bookmark" class="title">DIV CSS网页布局兼容性有哪些要点与诀窍？</a>
					<div>
						css|网页 IE vs FF CSS 兼容要点:DOCTYPE 影响 CSS 处理 FF: div 设置 margin-left, margin-right 为 auto 时已经居中, IE 不行  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjWKnM.html" rel="bookmark" class="title">怎样防止从Cache中读取WML页面</a>
					<div>
						cache|页面 当WML页面下载到WAP设备后,它将保存在WAP设备内存中一段时间,直到这个时间过期.在这之后,页面将从服务器下载,而不是从WAP设备的缓存读取.这个过程被称做Cache.但是有些时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl6Kqz.html" rel="bookmark" class="title">SAS盘和SATA盘有什么区别</a>
					<div>
						很多人一提到SAS盘和SATA盘之后,首先想到的是接口方面的区别,SAS的接口速度比SATA高很多,所以认为SAS盘要比SATA盘快,性能高.其实,接口方面的区别并不是主要的,只是很小的一方面.那么, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6lxXz.html" rel="bookmark" class="title">VC&plus;&plus;删除浮动工具条中&OpenCurlyDoubleQuote;关闭&rdquo;按钮</a>
					<div>
						在Visual C++自动生成的MFC框架应用程序中,当浮动工具条被拖离主框架窗口后,一般都会在工具条的右上角有一个&quot;关闭&quot;按钮,应该说这个按钮完全是按照Windows应用程序的用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR1vaz.html" rel="bookmark" class="title">Oracle基于用户管理的不完全恢复（三）恢复过去某个时间点误操</a>
					<div>
						案例2--恢复过去某个时间点误操作的表(DML) 1.基于change (scn) SQL&gt; conn scott/tiger Connected. SQL&gt; select * from  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WaV0b.html" rel="bookmark" class="title">习信电脑版怎么用？</a>
					<div>
						  习信是一个为教师.学生.家长提供的教学沟通即通讯服务的应用程序.但是由于好多朋友都是刚接触习信小书童工具,不是特别会用,本文就为大家介绍习信电脑版的使用方法,希望可以帮助到大家. 1.如您是第一次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo740db.html" rel="bookmark" class="title">xp系统怎么保存截图的具体操作方法分享</a>
					<div>
						  大家现在使用Xp系统上网的时候,经常都会使用这个电脑看网页,看到很多比较好想要留下来的页面的时候截图保存这个页面,其实我们直接截图就可以保存了,那么有些朋友会有些不会,不会的话小编这里可以分享给大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3NAZM.html" rel="bookmark" class="title">LinkedIn开源Dr&period;elephant，Hadoop爽了</a>
					<div>
						在开源项目方面,LinkedIn一直在为全世界的数据工作者做出贡献.近日,为了提高开发人员的Hadoop和spark工作效率,LinkedIn再次做出贡献,开源了其一款工具&quot;大象医生(Dr. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWga1p.html" rel="bookmark" class="title">mybatis- Cannot cast from List&amp;amp&semi;amp&semi;lt&semi;Object&amp;amp&semi;amp&semi;gt&semi; to List&amp;amp&semi;amp&semi;lt&semi;Professor&amp;amp&semi;amp&semi;gt&semi;</a>
					<div>
						问题描述 Cannot cast from List&lt;Object&gt; to List&lt;Professor&gt; 一个简单的Spring mvc mybatis框架的CRUD实例.但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Ry0qb.html" rel="bookmark" class="title">HDU1050-Moving Tables</a>
					<div>
						Moving Tables Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) To ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKLDXb.html" rel="bookmark" class="title">安全新时代：开放连接催生安全新格局</a>
					<div>
						11月或许是互联网诞生以来最为忙碌的一周.美国网民从大选的争锋焦灼终于迎来了水落石出,黑客的参与也让此次大选&quot;毁誉参半&quot;.与此同时,浙江乌镇也正式迎来了第三届互联网大会,习近平主题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq1e7p.html" rel="bookmark" class="title">c语言部分库函数，代码实现&comma;以及细节理解</a>
					<div>
						 代码来自:   http://blog.csdn.net/v_JULY_v     //得9 分 //为了实现链式操作,将目的地址返回,加2 分! char * strcpy( char *strD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60Qdyz.html" rel="bookmark" class="title">sqlserver性能调优方法论</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEG62M.html" rel="bookmark" class="title">HBase原理－RegionServer宕机数据恢复</a>
					<div>
						HBase采用类LSM的架构体系,数据写入并没有直接写入数据文件,而是会先写入缓存(Memstore),在满足一定条件下缓存数据再会异步刷新到硬盘.为了防止数据写入缓存之后不会因为RegionServ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBe3wM.html" rel="bookmark" class="title">一个Asp&period;net初级程序员的困惑</a>
					<div>
						问题描述 请问各位大神:.net还有市场前景么,作为一个初入茅庐的.net程序员,我需要入手asp.net,那么按照企业需求,我需要学习的东西按照重要性来排序的话应该怎么分?现在我掌握的就是c#语言, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnLwWM.html" rel="bookmark" class="title">关于OracleCommand&period;Parameters 的用法&comma;我写了一个SQL&comma;但总是报错&comma;请大家指教&excl;</a>
					<div>
						问题描述 OracleConnectionConn=ConnStr();Conn.Open();OracleCommandComm=null;OracleDataReaderda1=null;stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R7A7z.html" rel="bookmark" class="title">c&num; winform限制模式窗体不能超出mdi父窗体</a>
					<div>
						问题描述 如何控制mdi子窗体弹出的模式子窗体不能被拖出mdi主窗体之外? 解决方案 解决方案二:把主窗体的Bounds参数传到模态窗体中,移动时判断下就行了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Yq5p.html" rel="bookmark" class="title">大数据来临的时代 医改将往何处去？</a>
					<div>
						市场只遵循盈利的规则,医疗服务却有伦理底线 这两年,医改新政频繁出台.比如2015年6月,开始实施发改委等部门&lt;关于印发推进药品价格改革意见的通知&gt;,取消绝大多数药品的最高零售限价.201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xVPRb.html" rel="bookmark" class="title">玩出C&amp;amp&semi;C服务器地址隐身的新花样，看看这个恶意软件怎么做的</a>
					<div>
						恶意软件作者们一直在凭借自己天马行空的想法,艰难地绕过安全研究人员的追踪和检测. Palo Alto Network公司就曾在两个独立无关的网络间谍事件中,检测到这样的后门木马样本.研究人员表示,在这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44yx1z.html" rel="bookmark" class="title">OLPC披露75美元廉价平板电脑X0-3计划&lpar;组图&rpar;</a>
					<div>
						廉价平板电脑XO-3概念图,全触摸设计概念图方便携带的拉环设计同时也可当作电子书阅读器使用 北京时间12月23日早间消息,据国外媒体报道,&quot;每个儿童一台笔记本(OLPC)&quot;组织计划 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlXo0p.html" rel="bookmark" class="title">Java生成和解析XML格式文件和字符串的实例代码&lowbar;java</a>
					<div>
						1.基础知识: Java解析XML一般有四种方法:DOM.SAX.JDOM.DOM4J. 2.使用介绍 1).DOM (1)简介 由W3C(org.w3c.dom)提供的接口,它将整个XML文档读入内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLD4EM.html" rel="bookmark" class="title">jQuery中last&lpar;&rpar;方法用法实例&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery中last()方法用法.分享给大家供大家参考.具体分析如下: 此方法获取匹配元素集合中的最后一个元素. 语法: 复制代码 代码如下: $(selector).last() 实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1lyab.html" rel="bookmark" class="title">apply和call方法定义及apply和call方法的区别&lowbar;javascript技巧</a>
					<div>
						如果没接触过动态语言,以编译型语言的思维方式去理解javaScript将会有种神奇而怪异的感觉,因为意识上往往不可能的事偏偏就发生了,甚至觉得不可理喻.如果在学JavaScript这自由而变幻无穷的语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNva8PM.html" rel="bookmark" class="title">SQL Server 2008登录错误&colon;无法连接到&lpar;local&rpar;解决方法&lowbar;mssql2008</a>
					<div>
						在一些朋友安装完SQL Server 2008之后大多会遇到连接出错的问题.特别对于我们这样的新手而言简直郁闷的要死,好不容易装玩了又出现了问题.此篇文章意在解决安装步骤没有问题,但安装后无法登录的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qnlap.html" rel="bookmark" class="title">揭秘网上兼职所有骗局</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 我从去年开端做网络职业至今,各种骗子基本上都遇到过,也看到了身边的兄弟上当的阅历!今日想起来写这篇文章,也是为了提示各位新人兄弟,防止上圈套;一起,期望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm71Nb.html" rel="bookmark" class="title">在wpf中怎么让自己绘成的图形让它移动和在图片中添加文字</a>
					<div>
						问题描述 新手,求大神指教自己用path做成的图形,怎么让它可以移动做成动画的那种效果,另外在图形中添加文字 解决方案 解决方案二:百度WPFPATH动画					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA9kOp.html" rel="bookmark" class="title">百度面向全国提供500个销售类职位</a>
					<div>
						本报讯 (记者 孟飞鸿) 在跨国公司纷纷裁员及减少招聘名额的形势下,国内互联网企业再度逆势展开大规模招聘. 昨日,全球最大中文搜索引擎公司百度宣布,为进一步提高销售人员水平.同时缓解社会就业压力,公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmd2VBM.html" rel="bookmark" class="title">三星GALAXY A5如何开启超级省电模式&quest;&lpar;A5000&rpar;</a>
					<div>
						方法一,双指下拉屏幕顶帘,点击[超级省电]快捷图标开启超级省电模式   方法二,1.[应用程序][设定][省电][超级省电模式][超级省电模式]右侧滑块勾选所有复选框,[确定][启动]即可. 					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlW2Eqb.html" rel="bookmark" class="title">JS实现的仿QQ空间图片弹出效果代码&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS实现的仿QQ空间图片弹出效果代码.分享给大家供大家参考,具体如下: &lt;script type=&quot;text/javascript&quot;&gt; function  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQa2lwb.html" rel="bookmark" class="title">我想有个应用：自动拦截并回收错误讯息</a>
					<div>
						TechWeb我想有个应用,每天需找一个idea,好玩的,有趣的,咱们一起来侃侃.平日里大家都会有过这样的经历,发短信的时候会把发给对方的暧昧 讯息或一些说某人的坏话.及公司资料等发错联系人,更恼人的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
